Package com.logicaldoc.core.util

# Class GhostUtil

java.lang.Object
com.logicaldoc.core.util.GhostUtil

public class GhostUtil extends Object
Utility method for using GhostScript

Since:
  8.3.1
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`static List<File>`
`print(File srcPdf, File dst, Integer page)`
Prints a PDF file into a Jpeg image using 150dpi resolution
`static List<File>`
`print(File srcPdf, File dst, Integer page, Integer dpi)`
Prints a PDF file into a Jpeg image using 150dpi resolution

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### print

public static List<File> print(File srcPdf, File dst, Integer page, Integer dpi)
Prints a PDF file into a Jpeg image using 150dpi resolution

Parameters:
  `srcPdf` - The original file
  `dst` - The output image(in case of multiple page more files are created named dstName-xxx.dstExtension)
  `page` - The page to print or null to print all the pages
  `dpi` - the resolution(e.g. 75, 150, 300)
Returns:
  list of page files

### print

public static List<File> print(File srcPdf, File dst, Integer page)
Prints a PDF file into a Jpeg image using 150dpi resolution

Parameters:
  `srcPdf` - The original file
  `dst` - The output image(in case of multiple page more files are created named dstName-xxx.dstExtension)
  `page` - The page to print or null to print all the pages.
Returns:
  list of page files